# spacepy.pycdf.istp

Support for ISTP-compliant CDFs

The ISTP metadata standard specifies the interpretation of the attributes in a CDF to describe relationships between the variables and their physical interpretation.

This module supports that subset of CDFs.

Authors: Jon Niehof

Additional Contributors: Lorna Ellis, Asher Merrill

Institution: University of New Hampshire

Contact: Jonathan.Niehof@unh.edu

Classes

`FileChecks`() | ISTP compliance checks for a CDF file.
`VarBundle`(var) | Collective handling of ISTP-compliant variable and its dependencies.
`VariableChecks`() | ISTP compliance checks for a single variable.

Functions

`fillval`(v[, ret]) | Set ISTP-compliant FILLVAL on a variable
`format`(v[, use_scaleminmax, dryrun]) | Set ISTP-compliant FORMAT on a variable
`nanfill`(v) | Set fill values to NaN